clc;clear all;

load mnist.mat                                  % load mnist

h = figure;                                     % plot images
colormap(gray)                                  % set to grayscale
for i = 1:25                                    % preview first 25 samples
    subplot(5,5,i)                              % plot them in 5 x 5 grid
    digit = reshape(train_data(i, :), 28, 28);  % row = 28 x 28 image
    imagesc(digit)                              % show the image
    axis off;                                   % turn off ticks for images
    title(num2str(train_labels(i)))             % show the label as title
end
